use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IDynamicBlock;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "dynamic_block")]
pub(crate) struct RenderDynamicBlock {}

impl RenderDynamicBlock {
    pub(crate) fn new(
        _config: &Config,
        _output_directory: &Path,
        _output_file: &Path,
        _original: &IDynamicBlock,
    ) -> Result<RenderDynamicBlock, CustomError> {
        Ok(RenderDynamicBlock {})
    }
}
