use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IRadioLink;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "radio_link")]
pub(crate) struct RenderRadioLink {}

impl RenderRadioLink {
    pub(crate) fn new(
        _config: &Config,
        _output_directory: &Path,
        _output_file: &Path,
        _comment: &IRadioLink,
    ) -> Result<RenderRadioLink, CustomError> {
        Ok(RenderRadioLink {})
    }
}
