use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IStrikeThrough;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "strike_through")]
pub(crate) struct RenderStrikeThrough {}

impl RenderStrikeThrough {
    pub(crate) fn new(
        _config: &Config,
        _output_directory: &Path,
        _output_file: &Path,
        _comment: &IStrikeThrough,
    ) -> Result<RenderStrikeThrough, CustomError> {
        Ok(RenderStrikeThrough {})
    }
}
