use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::ISuperscript;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "superscript")]
pub(crate) struct RenderSuperscript {}

impl RenderSuperscript {
    pub(crate) fn new(
        _config: &Config,
        _output_directory: &Path,
        _output_file: &Path,
        _comment: &ISuperscript,
    ) -> Result<RenderSuperscript, CustomError> {
        Ok(RenderSuperscript {})
    }
}
