use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IBabelCall;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "babel_call")]
pub(crate) struct RenderBabelCall {}

impl RenderBabelCall {
    pub(crate) fn new(
        _config: &Config,
        _output_directory: &Path,
        _output_file: &Path,
        _original: &IBabelCall,
    ) -> Result<RenderBabelCall, CustomError> {
        Ok(RenderBabelCall {})
    }
}
