use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IVerseBlock;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "verse_block")]
pub(crate) struct RenderVerseBlock {}

impl RenderVerseBlock {
    pub(crate) fn new(
        _config: &Config,
        _output_directory: &Path,
        _output_file: &Path,
        _original: &IVerseBlock,
    ) -> Result<RenderVerseBlock, CustomError> {
        Ok(RenderVerseBlock {})
    }
}
